Vagrant.configure("2") do |config|

  config.vm.provider "virtualbox" do |virtualbox|
    virtualbox.gui    = false
    virtualbox.memory = 8192
    virtualbox.cpus   = 4
  end

  config.vm.provider "vmware_desktop" do |vmware_desktop|
    vmware_desktop.gui    = false
    vmware_desktop.memory = 8192
    vmware_desktop.cpus   = 4
  end

  config.vm.synced_folder ".", "/vagrant"

  config.vm.define "rhel" do |rhel|
    rhel.vm.box = "generic/centos9s"
    rhel.vm.network "forwarded_port", id: "syslog_udp", guest: 514, host: 514, protocol: "udp"
    rhel.vm.network "forwarded_port", id: "syslog_tcp", guest: 6514, host: 6514, protocol: "tcp"
    rhel.vm.provider "virtualbox" do |virtualbox|
      virtualbox.name = "SC4S-VM-RHEL"
    end
    rhel.vm.provider "vmware_desktop" do |vmware_desktop|
      vmware_desktop.vmx['displayname'] = "SC4S-VM-RHEL"
    end
  end

  config.vm.provision :ansible_local do |ansible|
    ansible.playbook    = "./ansible/site-all.yml"
    ansible.config_file = "./ansible/ansible.cfg"
  end

end
